Bug 210867 - kernel BUG at fs/jbd/checkpoint.c:366!
kernel BUG at fs/jbd/checkpoint.c:366!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 08:39 EDT by christian.claveleira
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 01:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description christian.claveleira 2006-10-16 08:39:22 EDT
Description of problem:
Our mail server (Dell PowerEdge 4600) crashes 1 or 2 times/week on this error :

 Assertion failure in log_do_checkpoint() at fs/jbd/checkpoint.c:366:
"drop_count != 0 || cleanup_ret != 0"


We have tried kernels 2.6.16-1.2069_FC4smp, 2.6.16-1.2111_FC4smp and
2.6.17-1.2142_FC4smp without success and found no evident correlation with it's
activities.

Here are kernel traces :

Oct 16 00:15:33 listes kernel: Assertion failure in log_do_checkpoint() at
fs/jbd/checkpoint.c:366: "drop_count != 0 || cleanup_ret != 0"
Oct 16 00:15:33 listes kernel: ------------[ cut here ]------------
Oct 16 00:15:33 listes kernel: kernel BUG at fs/jbd/checkpoint.c:366!
Oct 16 00:15:33 listes kernel: invalid opcode: 0000 [#1]
Oct 16 00:15:33 listes kernel: SMP 
Oct 16 00:15:33 listes kernel: last sysfs file:
/devices/pci0000:00/0000:00:00.0/class
Oct 16 00:15:33 listes kernel: Modules linked in: i2c_dev i2c_core ipv6 dm_mod
video button battery ac ohci_hcd cfi_probe gen_probe intermodule scb2_flash
mtdcore chipreg map_funcs tg3 e100 mii floppy sg st ext3 jbd linear aic7xxx
scsi_transport_spi sd_mod scsi_mod
Oct 16 00:15:33 listes kernel: CPU:    2
Oct 16 00:15:33 listes kernel: EIP:    0060:[<f8887dd1>]    Not tainted VLI
Oct 16 00:15:33 listes kernel: EFLAGS: 00010292   (2.6.17-1.2142_FC4smp #1) 
Oct 16 00:15:33 listes kernel: EIP is at log_do_checkpoint+0x343/0x38d [jbd]
Oct 16 00:15:33 listes kernel: eax: 0000006e   ebx: d0dfd788   ecx: 00000246  
edx: 00000206
Oct 16 00:15:33 listes kernel: esi: ddceaafc   edi: f72fce00   ebp: ddceaafc  
esp: c5adfd94
Oct 16 00:15:33 listes kernel: ds: 007b   es: 007b   ss: 0068
Oct 16 00:15:33 listes kernel: Process sendmail (pid: 5626, threadinfo=c5adf000
task=f12888d0)
Oct 16 00:15:33 listes kernel: Stack: f888b435 f888a656 f888b421 0000016e
f888b6b5 ddceaafc 00000000 293a318f 
Oct 16 00:15:33 listes kernel:        ddceaafc e194b240 ddceaafc 00000003
00000001 c5adff3c f12888d0 00000000 
Oct 16 00:15:33 listes kernel:        c0704ee0 f88fbf54 00000001 c0472cc5
000041f8 00000003 00000001 00000007 
Oct 16 00:15:33 listes kernel: Call Trace:
Oct 16 00:15:33 listes kernel:  <f88fbf54> ext3_permission+0x0/0xa [ext3] 
<c0472cc5> permission+0x8f/0x9b
Oct 16 00:15:33 listes kernel:  <c0600ac0> _read_unlock_irq+0x5/0x7  <c04b9ebe>
avc_has_perm+0x3b/0x45
Oct 16 00:15:33 listes kernel:  <c04dcb68> __next_cpu+0x12/0x1f  <c044e814>
__pagevec_free+0x18/0x22
Oct 16 00:15:33 listes kernel:  <c0437d1c> debug_mutex_add_waiter+0x81/0x91 
<f8887e5e> __log_wait_for_space+0x43/0x91 [jbd]
Oct 16 00:15:33 listes kernel:  <c0600160> __mutex_lock_slowpath+0x2f1/0x3d1 
<f8887e5e> __log_wait_for_space+0x43/0x91 [jbd]
Oct 16 00:15:33 listes kernel:  <f8887e8e> __log_wait_for_space+0x73/0x91 [jbd]
 <f88851da> start_this_handle+0x30c/0x348 [jbd]
Oct 16 00:15:33 listes kernel:  <f88852c3> journal_start+0xad/0xd7 [jbd] 
<f88efafd> start_transaction+0x16/0x3a [ext3]
Oct 16 00:15:33 listes kernel:  <f88f1fd7> ext3_delete_inode+0x0/0xbe [ext3] 
<f88f2000> ext3_delete_inode+0x29/0xbe [ext3]
Oct 16 00:15:33 listes kernel:  <f88f1fd7> ext3_delete_inode+0x0/0xbe [ext3] 
<c047dbb6> generic_delete_inode+0xa7/0x113
Oct 16 00:15:33 listes kernel:  <c047cb98> iput+0x64/0x66  <c047b5d4>
dput+0x1f6/0x210
Oct 16 00:15:34 listes kernel:  <c0467d28> __fput+0x140/0x168  <c046579d>
filp_close+0x4e/0x54
Oct 16 00:15:34 listes kernel:  <c0403d2f> syscall_call+0x7/0xb 
Oct 16 00:15:34 listes kernel: Code: d7 c7 ba 01 00 00 00 0b 54 24 04 75 29 68
b5 b6 88 f8 68 6e 01 00 00 68 21 b4 88 f8 68 56 a6 88 f8 68 35 b4 88 f8 e8 09 c5
b9 c7 <0f> 0b 6e 01 21 b4 88 f8 83 c4 14 8b 44 24 10 39 47 64 75 0b 8b 
Oct 16 00:15:34 listes kernel: EIP: [<f8887dd1>] log_do_checkpoint+0x343/0x38d
[jbd] SS:ESP 0068:c5adfd94
Oct 16 00:15:34 listes kernel:  BUG: sendmail/5626, lock held at task exit time!
Oct 16 00:15:34 listes kernel:  [f72fcef8] {journal_init_common}
Oct 16 00:15:34 listes kernel: .. held by:          sendmail: 5626 [f12888d0, 115]
Oct 16 00:15:34 listes kernel: ... acquired at:              
__log_wait_for_space+0x43/0x91 [jbd]
Comment 1 Dave Jones 2006-10-28 01:30:50 EDT
FC4 only gets security updates from fedora-legacy. Regular updates for FC4 ended
some time ago.

Note You need to log in before you can comment on or make changes to this bug.